---
updatedAt: 2026-03-06T06:27:31.000Z
agentTools:
  projectIndex: https://docs.sumsub.com/llms.txt
---

# India

Sample structures of the `E_KYC_CHECK` API responses for India Aadhaar Verification via DigiLocker (ind\_gov\_aadhaar\_digi).

# GREEN

The following response example represents successful checks.

```json
{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2025-02-06 11:15:11",
      "id": "efcee38a-756f-4c77-854f-8831912a1d12",
      "inputDoc": {
        "idDocType": "OTHER",
        "country": "IND"
      },
      "extractedDoc": {
        "country": "IND",
        "number": "xxxx-xxxx-1234",
        "firstName": "Arjun Kumar",
        "gender": "M",
        "dob": "1990-12-30",
        "tin": "ABCDE9182F",
        "addresses": [
          {
            "street": "2nd Main Road",
            "buildingNumber": "House No. 42, Green View Residence",
            "town": "Salem",
            "state": "Tamil Nadu",
            "postCode": "636007",
            "country": "IND",
            "formattedAddress": "S/O: Arjun Kumar, House No. 42, Green View Residence, 2nd Main Road, Near Community Hall, Suramangalam Post Office, Salem Taluk, Salem, Tamil Nadu, 636007"
          }
        ],
        "images": [
          {
            "imageId": 133092848
          }
        ]
      },
      "ekycCheckInfo": {
        "confirmationId": "J2YY2vDoQvncsIDpzj2BKoEH",
        "confirmationType": "oAuth"
      }
    }
  ]
}
```

# Response explained

The response represents a singleton list of `checks`.

## Root variables

The root variables are the core Identity check result data items. Some of them may include nested attributes and element fields.

[block:parameters]
{
  "data": {
    "h-0": "Field",
    "h-1": "Type",
    "h-2": "Description",
    "0-0": "`id`",
    "0-1": "String",
    "0-2": "Unique identifier of the check.",
    "1-0": "`answer`",
    "1-1": "String",
    "1-2": "Check answer:<ul><li><code>GREEN</code> — the check has passed successfully. Data found in the database.</li><li><code>YELLOW</code> — verification process is not yet complete. We await the applicant's completion of the required steps.</li></ul>",
    "2-0": "`checkType`",
    "2-1": "String",
    "2-2": "Indicates that it is a `E_KYC_CHECK` check type.",
    "3-0": "`createdAt`",
    "3-1": "Date",
    "3-2": "Date and time (UTC) of the latest Non-Doc check result.",
    "4-0": "`inputDoc`",
    "4-1": "[Object](#inputdoc-attributes)",
    "4-2": "Represents the data used for the `E_KYC_CHECK` check.",
    "5-0": "`extractedDoc`",
    "5-1": "[Object](#extracteddoc-attributes) ",
    "5-2": "External check source data. It may not be present if the data is not received."
  },
  "cols": 3,
  "rows": 6,
  "align": [
    null,
    null,
    null
  ]
}
[/block]

## `inputDoc` attributes

The following table explains the `inputDoc` attributes representing the data taken from the provided document.

| Field       | Type   | Description                                                                                                            |
| :---------- | :----- | :--------------------------------------------------------------------------------------------------------------------- |
| `idDocType` | String | Type of the document provided for verification. For example, `TAX_PAYER_NUMBER_DOC`, `ID_CARD`, `PASSPORT`, `DRIVERS`. |
| `country`   | String | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on).                                                    |

## `extractedDoc` attributes

The `extractedDoc` object includes the data obtained from the external source during the `E_KYC_CHECK` check.

| Field               | Type            | Description                                                         |
| ------------------- | --------------- | ------------------------------------------------------------------- |
| `country`           | String          | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on). |
| `number`            | String          | Masked Aadhaar number.                                              |
| `firstName`         | String          | Applicant full name.                                                |
| `dob`               | Date            | Applicant date of birth (format `YYYY-mm-dd`, e.g. `2001-09-25`).   |
| `gender`            | String          | Applicant gender (`M` or `F`).                                      |
| `addresses`         | List of Objects | The list of addresses extracted from the external check sources.    |
| `tin`               | String          | PAN number, if available.                                           |
| `images[0].imageId` | Integer         | Image ID of the selfie photo from the database.                     |

## `addresses` attribute

The following table explains the `addresses` element fields containing the applicant address details extracted from external sources.

| Field              | Type   | Description                                                                                                                                                                            |
| ------------------ | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `street`           | String | Street name.                                                                                                                                                                           |
| `buildingNumber`   | String | Building number.                                                                                                                                                                       |
| `town`             | String | City, town, or another settlement.                                                                                                                                                     |
| `state`            | String | State, region, district, county or another territorial entity inside a country.                                                                                                        |
| `postCode`         | String | Address postal code.                                                                                                                                                                   |
| `country`          | String | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on).                                                                                                                    |
| `formattedAddress` | String | Address in an human-readable format, including the following details: `{care of}, {building}, {street}, {landmark}, {post office}, {subdistrict}, {district}, {state}, {postal code}.` |